Cómo instalar AceStream en Linux y no morir en el intento

34
19535

Los que amamos los deportes y no tenemos acceso a todos los canales deportivos de la actualidad, por lo general nos enfrentamos a la problemática de que para disfrutarlo debemos hacer uso de diversas páginas que transmiten partidos online, la mayoría de ellos solicitan instalar AceStream, el cual tiende a ser un poco complejo instalarlo en Linux.

En está guía enseñaremos a cómo instalar AceStream en Linux sin morir en el intento, dando solución a los problemas más comunes en la actualidad. Su uso y el contenido al que accedas es de tu total responsabilidad.


¿Qué es AceStream?

AceStream es una plataforma mutimedia bastante innovadora, que ha llevado a un nivel superior la reproducción de audiovisuales en Internet. Para ello ha implementado un gestor universal de carga de archivos multimedia, que utiliza las tecnologías P2P más avanzadas, garantizando un eficaz proceso de almacenamiento y transmisión de datos.

El software Ace Stream, nos ofrece una serie de beneficios en la que podemos destacar:

  • Posibilidad de visualizar transmisiones online (TV, streams personalizados, películas, dibujos animados, etc.), con una alta calidad de audio e imagen.
  • Escuchar música en línea en un formato en el que no se pierde ningún tipo de calidad.
  • Ver torrents en línea, sin necesidad de esperar a que se haya descargado totalmente.
  • Visualizar contenido en dispositivos remotos (Apple TV, Chromecast, etc.) sobre protocolos de comunicación como AirPlay, Google Cast y otros.
  • Permite la integración con diversas aplicaciones.Instalar AceStream en Linux

Cómo instalar AceStream en Linux

Para instalar AceStream en Linux debemos seguir diversos pasos según la distro que utilices, nos enfocaremos en Arch Linux y Ubuntu, pero esperamos en un futuro lograr instalarlo en otras distros.

Instalar AceStream en Arch Linux y derivados

La razón principal por la que he realizado este artículo es porque muchos han tenido problema para instalar AceStream en Arch Linux, Antergos, Manjaros y derivados, la causa principal es que el pkgbuild del plugin de acestream-mozilla-plugin da error a la hora de instalar, la solución es sumamente sencilla.

Vamos a instalar el acestream-mozilla-plugin que también nos instalará el acestream-engine y acestream-player-data que son los paquetes necesarios para reproducir AceStream desde firefox.

Antes que nada debemos abrir una terminal y ejecutar el siguiente comando:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

El mismo solucionará el problema de verificación que impide instalar la dependencia  que es necesaria para instalar acestream-mozilla-plugin.

Seguidamente ejecutamos el siguiente comando

yaourt -S acestream-mozilla-plugin

En reiteradas ocasiones se nos consultará si deseamos instalar diversas dependencias debemos decir si a todas.

Instalar AceStream en Ubuntu y derivados

Instalar AceStream en Ubuntu 14.04 y derivados

Para los usuarios de ubuntu y derivados hasta la versión 14.04 la instalación de AceStream será bastante sencilla, solamente deben ejecutar los siguientes comandos desde la terminal:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list
sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add -
sudo apt-get update
sudo apt-get install acestream-full

Instalar AceStream en Ubuntu 16.04 y derivados

Los que si tendrán que batallar un poco más son los usuarios de Ubuntu 16.04 y derivados ya que acestream no tiene soporte para esta versión, pero gracias a este artículo, logré instalarlo.

Lo primero que vamos a realizar es descargar e instalar algunas dependencias que no vas a poder descargar desde los repositorios oficales, asegurate de instalar los adecuados para la arquitectura de tu distro:

Arquitectura de 64bit:

  1. Descargar e instalar libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb puedes hacerlo desde el siguiente enlace: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Descargar e instalar según el orden en que se presentan las siguientes dependencias:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb puedes realizar la descarga de cada una desde el siguiente link: https://drive.google.com/folderview?id= … e_web#list

Arquitectura  32bit:

  1. Descargar e instalar libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb puedes hacerlo desde el siguiente enlace: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Descargar e instalar según el orden en que se presentan las siguientes dependencias: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb puedes realizar la descarga de cada una desde el siguiente link: https://drive.google.com/folderview?id= … e_web#list

Seguidamente debemos continuar con instalación habitual de AceStream como lo realizamos para la versión 14.04, abrá una terminal y ejecute:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list
sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add -
sudo apt-get update
sudo apt-get install acestream-full

En algunos casos es necesario iniciar el servicio acestream-engine.service, para ello ejecutemos los siguientes comandos desde la terminal:

systemctl start acestream-engine.service
systemctl enable acestream-engine.service

Con este tutorial esperamos que puedas disfrutar de este gran protocolo de transmisión de multimedias que utiliza toda la capacidad de la tecnología P2P.

COMPARTIR
Artículo anteriorConoce a Lila HD un sencillo tema de iconos
Artículo siguienteUber desde la consola con Uber CLI
lagarto

Lic. en Computación, Programador, Consultor ERP, Webmaster, Community Manager y apasionado por el Internet, tengo 8 años sumergido en el mundo del software libre, especializándome en el uso del software libre n las Empresas. La Libertad del Código es directamente proporcional al Crecimiento de una Organización

34 COMENTARIOS

  1. Bueno el post pero al menos en archlinux y este fue mi caso se necesita: “systemctl start acestream-engine.service” y “systemctl enable acestream-engine.service” for que funcione.

  2. No se si se publicó mi comentario anterior…repito! tarda no se cuantas horas ejecutándose el maldito comando en la terminal, y eso que puse –noconfirm, y al final no funciona!!
    otro post que no sirve para nada!

    intento de instalación en Manjaro

    • Estimado que no te funciono, a mi me sirvió perfectamente, de todas maneras intenta ejecutando estos 2 comandos:
      “systemctl start acestream-engine.service” y “systemctl enable acestream-engine.service”

  3. buenas

    logre hacer todos los pasos sin ningún problema. Pero al tratar de iniciar el servicio desde la terminal me dio dos fallos;
    systemctl start acestream-engine.service
    Failed to start acestream-engine.service: Unit acestream-engine.service not found.
    systemctl enable acestream-engine.service
    Failed to execute operation: No such file or directory

  4. Muchas gracias por el post! En caso de utilizar Ubuntu 16.10 64 bits no van a poder instalar “acestream-player-data_3.0.2-1.1_amd64.deb”. Primero deben descargar e instalar estos paquetes:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Probablemente haga falta alguna otra dependencia que está en los repos.
    Saludos!

  5. En la parte de instalarlo desde Ubuntu 16.04, cuando dices descargar e instalar esos archivos, ¿cómo se instalan? a mí al bajarlos y extraerlos algunos solamente son un archivo tipo libreoffice y demás, no sé como “instalarlos”
    Gracias de antemano y un saludo.
    David.

  6. O las llaves no funcionan de nuevo, o hay algún error en los paquetes, pero en arch y manjaro es imposible instalarlo.
    Al intentar instalar una dependencia (qwebquit) o algo así entra en un bucle y no hay manera.
    ¿Alguien ha encontrado la solución?
    Gracias

    • Hola, para la instalación en arch linux debes de hacer lo siguiente:
      -Instalar desde yaourt el paquete ‘acestream-launcher’ con ‘yaourt -S acestream-launcher’ (se te descarga automáticamente el paquete que vamos habilitar continuación)
      -Habilitar acestream-engine.service, entramos en la terminal y en modo ROOT ponemos lo siguiente
      -systemctl start acestream-engine.service
      -systemctl enable acestream-engine.service
      yo después de esto reinicié el equipo, no sé si hará falta pero por si acaso
      -Con esto debería bastar pero en las últimas actualizaciones de Arch han jodido algo y no va, así que han buscado una solución pasajera, que es descargar un archivo, es el siguiente:
      https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      Fuente: https://aur.archlinux.org/packages/acestream-launcher/ (en los comentarios)
      una vez descargado, nos vamos a la terminal y nos dirigimos a la carpeta donde lo hayamos descargado,
      procedemos a instalarlo con ‘sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz’ y ya está, debería ir, a la primera nunca me va así que clikea una segunda vez, la primera siempre da error, eso es todo

      PD: aclarar que el sudo pacman -U y no -S porque es un paquete local obtenido del makepkg

      • Muchas gracias por tu interés.
        Lo he intentado tantas veces que ya me sé de memoria las dependencias, y los comentarios a los paquetes en la instalación con yaourt. Voy a seguir tu consejo con el launcher y a ver si tengo suerte. Ya te diré.
        Repito mi agradecimiento

        felipe

        • De una u otra manera no funciona. Lo he intentado con el enlace que pone en los comentarios, pero no lo soluciona, me reconoce el enlace, me da la opción de elegir el programa, elijo acestream-launcher pero el VLC no se abre.
          En consola me da la respuesta siguiente.

          File “/usr/lib/python3.6/site-packages/psutil/init.py”, line 1231, in _send_signal
          os.kill(self.pid, sig)

          Habrá que esperar a nuevas actualizaciones.
          Gracias por tu ayuda.

  7. Después de la nueva actualización, la respuesta en consola es la siguiente.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    Acestream engine running.
    2017-07-28 18:16:59,615|MainThread|acestream|error during startup
    Traceback (most recent call last):
    File “core.c”, line 1590, in
    File “core.c”, line 144, in
    File “core.c”, line 2, in
    ImportError: cannot import name __m2crypto
    Error authenticating to Acestream!
    Media Player not running…

    Vamos mejorando, ahora ya reconoce el acestream, pero la libcrypto sigue dando guerra.

  8. Ayer lo instalé como paquete snap en Kde Neon 5.8 y he alucinado con lo sencillo y rápido que me ha funcionado. Estaría bien que actualicéis el artículo porque no hay comparación, el proceso se simplifica mucho.

    sudo apt install snapd → instalar el sistema de gestión de paquetes snap (si no lo tenéis instalado)
    snap find acestream → para comprobar que tenemos el programa en los repositorios (todas las derivadas de ubuntu lo deberían tener)
    sudo snap install acestreamplayer

    Saludos

  9. como lo instalaria para AntiX 16 (es una distribucion linux)?

    he probado como Arch Linux y derivados, pero soy tan novato que debo hacerlo mal

  10. Hola, con los paquetes sna, que comenta el compañero de arriba en un comentario se ha vuelto más fácil no solo para estás distribuciones sino para muchas. Las distribuciones compatibles con estos paquetes están aquí:
    https://snapcraft.io/

    En Debian sería de la siguiente forma:
    -sudo apt install snapd
    -sudo snap install core
    -sudo snap install acestreamplayer
    En Arch y derivadas:
    -sudo pacman -S snapd
    -sudo systemctl enable –now snapd.socket
    -sudo snap install acestreamplayer

    En Arch(plasma) he tenido que reiniciar para que me aparezcan los paquetes instalados , si no os aparece ya sabéis que hacer.

    En ubuntu y derivadas supongo que será como el compañero que lo ha instalado arriba en los comentarios con KDE neon.

    Es curioso que en Gnome con Debian se ve bastante feo y no se integra bien con GTK pero en plasma de Arch se integra bastante bien, lo importante es que se vea al margen de la estética.

    • Si lo que has instalado es el acestream-launcher, cuando pinches en un enlace acestream te preguntará con que aplicación quieres abrir el enlace, le dices que con VLC, y éste es el que va a hacer las funciones del ace-player

      • Hola. Lo primero de todo muchísimas gracias por la ayuda. Te comento. He instalado en Debian 9 con gnome el paquete snap de acestream. Cuando en arenavisión, que es para lo que lo quiero, pincho un enlace acestream y se me avre una ventana que me da dos opciones, la primera es acestreamengine que si pincho en esta no hace nada y la segunda es elija otra aplicación, le doy a elegir pero no se me abren las aplicaciones instaladas, se me abre mi carpeta home, por lo que no se como seleccionar el vlc.

        Un saludo.

  11. Intento instalar el paquete snapd, pero no me deja:

    sudo apt install snapd
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    E: No se ha podido localizar el paquete snapd

    que hago?

Dejar una respuesta